Bug 812225 - [abrt] gnuplot-common-4.4.3-3.fc16: process_event: Process /usr/libexec/gnuplot/4.4/gnuplot_x11 was killed by signal 11 (SIGSEGV)
[abrt] gnuplot-common-4.4.3-3.fc16: process_event: Process /usr/libexec/gnupl...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
abrt_hash:1c813585451af73fbc99cd518df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 03:23 EDT by Aner Gusic
Modified: 2012-11-23 02:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-16 02:33:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (11.42 KB, text/plain)
2012-04-13 03:23 EDT, Aner Gusic
no flags Details
File: backtrace (150.22 KB, text/plain)
2012-04-13 03:23 EDT, Aner Gusic
no flags Details

  None (edit)
Description Aner Gusic 2012-04-13 03:23:40 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gnuplot_x11 -persist
comment:        Suspend/wakeup I suspect.
crash_function: process_event
executable:     /usr/libexec/gnuplot/4.4/gnuplot_x11
kernel:         3.3.0-4.fc16.x86_64
pid:            8535
pwd:            /home/aner/iterations/01_26mars-1maj
reason:         Process /usr/libexec/gnuplot/4.4/gnuplot_x11 was killed by signal 11 (SIGSEGV)
time:           Wed 11 Apr 2012 04:03:23 PM CEST
uid:            1001
username:       aner

backtrace:      Text file, 153821 bytes
maps:           Text file, 11693 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:0911ea7c180d733724f89037b8e8a34e64024aec
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:50e0538b22a0baf6f774534e80192f74c75ab1f5
:f0d50e3af2dfee021a327fb85a993a2312a98145
:638db099ff5fb986d1a092629d1bb1dca5be4904
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:3ebf97b5429bf039cf35515d170d4bc994d9dd82
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:48aea888319e1848137073c9cbde54a4c2a731c9
:163b323da65b708418226eb5fa8b057c731d1475
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4c842320387ff7f6f91b7842b223c16518be909f
:75eaece6e0d1e075520cdfad5c398fdab4370846
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:07470201df55a5254027d05fa4dc509b10f2986a
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1320287307
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331064383
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1320287342
:/usr/libexec/gnuplot/4.4/gnuplot_x11 gnuplot-common-4.4.3-3.fc16.x86_64 (Fedora Project) 1333458874
:/lib64/libgmodule-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.x86_64 (Fedora Project) 1331064385
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1320287321
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331064383
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1320287306
:/lib64/libglib-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.x86_64 (Fedora Project) 1331064385
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1320287306
:/lib64/libgobject-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.x86_64 (Fedora Project) 1331064385
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331064383
:/usr/lib64/libpng12.so.0.48.0 libpng-2:1.2.48-1.fc16.x86_64 (Fedora Project) 1332917560
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331064383
:/lib64/librt-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331064383
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1320287342
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1320287342
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1332409802
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1331064385
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331064383
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331064381
:/lib64/libgthread-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.x86_64 (Fedora Project) 1331064385
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1320287323
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-4.fc16.x86_64 (Fedora Project) 1331064385

environ:
:LANG=en_US.utf8
:DISPLAY=:0
:SHLVL=1
:LOGNAME=aner
:XDG_VTNR=1
:GNOME_KEYRING_PID=1770
:IMSETTINGS_MODULE=none
:XAUTHORITY=/var/run/gdm/auth-for-aner-nEOQ5n/database
:PWD=/home/aner/iterations/01_26mars-1maj
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_SESSION_ID=2
:DESKTOP_SESSION=gnome
:GDMSESSION=gnome
:GNOME_KEYRING_CONTROL=/tmp/keyring-8ELxSJ
:USERNAME=aner
:WINDOWPATH=1
:COLORTERM=gnome-terminal
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-CUOuVxCDmn,guid=4e68ee25e8dd1b55147ed7150000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:HISTCONTROL=ignoredups
:MAIL=/var/spool/mail/aner
:_=/usr/bin/gnuplot
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:XDG_SESSION_COOKIE=00092a277071040a461ae36a0000000a-1333606228.548255-1312077458
:OLDPWD=/home/aner
:HOSTNAME=cherrypie
:GJS_DEBUG_OUTPUT=stderr
:SHELL=/bin/zsh
:WINDOWID=44040197
:TERM=xterm
:QT_IM_MODULE=xim
:HISTSIZE=12000
:SSH_AUTH_SOCK=/tmp/keyring-8ELxSJ/ssh
:PATH=/usr/local/bin:/usr/bin:/bin:/home/aner/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/aner/bin
:HOME=/home/aner
:XDG_SEAT=seat0
:XMODIFIERS=@im=none
:XDG_RUNTIME_DIR=/run/user/aner
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1775,unix/unix:/tmp/.ICE-unix/1775
:GPG_AGENT_INFO=/tmp/keyring-8ELxSJ/gpg:0:1
:USER=aner
:LS_COLORS=*.mp3=36:*.mp2=36:*.wav=36:*.au=36:*.mid=36:*.ras=36:*.mod=36:*.ogg=36:*.txt=31:*.text=31:*.doc=31:*.wp6=31:*.diz=31:*.rtf=31:*README=31:*INSTALL=31:*CHANGES=31:*.jpg=36:*.jpeg=36:*.gif=36:*.bmp=36:*.asc=36:*.tif=36:*.tga=36:*.tar=32:*.tgz=32:*.gz=32:*.bz2=32:*.zip=32:*.arj=32:*.rar=32:*.Z=32:*.pak=32:*.c=35:*.cc=35:*.lisp=35:*.cl=35:*.pas=35:*.bas=35:*.asm=35:*Makefile=35:di=33
:DIRSTACKSIZE=10
:DOMAINNAME=office.internal
:CVSROOT=/home/cvs
:KOMLANGUAGE=sv
:G_FILENAME_ENCODING=ISO-8859-1
:'C00=\x1b[00m'
:'C01=\x1b[01;37;40m'
:'C02=\x1b[01;34;40m'
:EDITOR=jed
:FCEDIT=jed
:XAPPLRESDIR=/home/aner/app-defaults
:GOD_LOCALE=sv_SE.utf8
:LC_COLLATE=sv_SE.utf8
:LC_CTYPE=sv_SE.utf8
:LC_MONETARY=sv_SE.utf8
:LC_NUMERIC=sv_SE.utf8
:LC_TIME=en_US.utf8
:PRINT_EIGHT_BIT=
:PYTHONSTARTUP=/home/aner/.pythonrc
:'PS1=%{\x1b[01;34;40m%}[%{\x1b[00m%} @%{\x1b[01;37;40m%}%m%{\x1b[00m%}:%~ %{\x1b[01;34;40m%}]%{\x1b[00m%}%# '
:WATCH=notme
:HISTFILE=/home/aner/.shellrc/zsh_history
:SAVEHIST=12000

smolt_data:
:
:
:General
:=================================
:UUID: e56fafa1-1ce6-4764-a233-7ac88aab8ba7
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5581.70
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 3838
:System Swap: 5887
:Vendor: LENOVO
:System: 42914BG ThinkPad X220
:Form factor: Notebook
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8666) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8666) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8666) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8666) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8666) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7171:6058:8666) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8666) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8666) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8666) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:6058:8666) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_cherrypie-lv_root / ext4 4096 4096 9548033 7593766 7498202 2392064 2230707 2230707
:/dev/sda5 /boot ext4 1024 1024 508745 410268 384668 128016 127780 127780
:/dev/sda2 WITHHELD fuseblk 4096 4096 18690815 8253124 8253124 33241872 33151346 33151346
:/dev/mapper/vg_cherrypie-lv_home /home ext4 4096 4096 4759820 4498611 4259815 1196032 1182101 1182101
:

var_log_messages:
:Apr 11 16:03:23 cherrypie kernel: [91514.298641] gnuplot_x11[8535]: segfault at 3e8 ip 000000000040d55d sp 00007fff5d47fd90 error 4 in gnuplot_x11[400000+16000]
:Apr 11 16:03:23 cherrypie abrt[8539]: Saved core dump of pid 8535 (/usr/libexec/gnuplot/4.4/gnuplot_x11) to /var/spool/abrt/ccpp-2012-04-11-16:03:23-8535 (942080 bytes)
Comment 1 Aner Gusic 2012-04-13 03:23:46 EDT
Created attachment 577256 [details]
File: maps
Comment 2 Aner Gusic 2012-04-13 03:23:49 EDT
Created attachment 577257 [details]
File: backtrace
Comment 3 Fedora Admin XMLRPC Client 2012-10-09 09:51:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Peter Schiffer 2012-11-06 10:38:55 EST
fixed in rawhide:
gnuplot-4.6.1-1.fc19
http://koji.fedoraproject.org/koji/buildinfo?buildID=361832
Comment 5 Fedora Update System 2012-11-06 11:30:26 EST
gnuplot-4.4.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnuplot-4.4.4-4.fc17
Comment 6 Fedora Update System 2012-11-06 12:18:01 EST
gnuplot-4.4.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnuplot-4.4.3-4.fc16
Comment 7 Fedora Update System 2012-11-07 20:53:08 EST
Package gnuplot-4.4.3-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnuplot-4.4.3-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17757/gnuplot-4.4.3-4.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-11-14 09:58:35 EST
gnuplot-4.6.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnuplot-4.6.1-1.fc18
Comment 9 Fedora Update System 2012-11-16 02:34:01 EST
gnuplot-4.4.3-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-11-16 02:35:46 EST
gnuplot-4.4.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-11-23 02:21:45 EST
gnuplot-4.6.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.